Search for _link

  1. Search 7.x for _link
  2. Search 9.5.x for _link
  3. Search 8.9.x for _link
  4. Search 11.x for _link
  5. Search main for _link
  6. Other projects
Title Object type File name Summary
LinkCollection::hasLinkWithKey function core/modules/jsonapi/src/JsonApiResource/LinkCollection.php Whether a link with the given key exists.
LinkCollection::withLink function core/modules/jsonapi/src/JsonApiResource/LinkCollection.php Gets a new LinkCollection with the given link inserted.
LinkCollectionNormalizer::LINK_CONTEXT constant core/modules/jsonapi/src/Normalizer/LinkCollectionNormalizer.php The normalizer $context key name for the context object of the link.
LinkCollectionNormalizer::LINK_KEY constant core/modules/jsonapi/src/Normalizer/LinkCollectionNormalizer.php The normalizer $context key name for the key of an individual link.
LinkCollectionNormalizerTest::linkAccessTestData function core/modules/jsonapi/tests/src/Kernel/Normalizer/LinkCollectionNormalizerTest.php Provides test cases for testing link access checking.
LinkCollectionNormalizerTest::testLinkAccess function core/modules/jsonapi/tests/src/Kernel/Normalizer/LinkCollectionNormalizerTest.php Tests the link collection normalizer.
LinkFieldFormStatesTest::linkFieldFormStatesData function core/modules/link/tests/src/FunctionalJavascript/LinkFieldFormStatesTest.php Provides data for ::testLinkFieldJSFormStates.
LinkFieldFormStatesTest::testLinkFieldFormStates function core/modules/link/tests/src/FunctionalJavascript/LinkFieldFormStatesTest.php @dataProvider linkFieldFormStatesData
LinkFieldTest::doTestEditNonNodeEntityLink function core/modules/link/tests/src/Functional/LinkFieldTest.php Tests editing a link to a non-node entity.
LinkFieldTest::doTestLinkFormatter function core/modules/link/tests/src/Functional/LinkFieldTest.php Tests the default 'link' formatter.
LinkFieldTest::doTestLinkSeparateFormatter function core/modules/link/tests/src/Functional/LinkFieldTest.php Tests the 'link_separate' formatter.
LinkFieldTest::doTestLinkTitle function core/modules/link/tests/src/Functional/LinkFieldTest.php Tests the link title settings of a link field.
LinkFieldTest::doTestLinkTypeOnLinkWidget function core/modules/link/tests/src/Functional/LinkFieldTest.php Tests '#link_type' property exists on 'link_default' widget.
LinkFieldTest::testLinkField function core/modules/link/tests/src/Functional/LinkFieldTest.php Tests the functionality and rendering of the link field.
LinkFieldTest::testLinkFormatterQueryParametersDuplication function core/modules/link/tests/src/Functional/LinkFieldTest.php Tests the default 'link' formatter with complex query parameters.
LinkFieldTest::testLinkWidgetCaughtExceptionEditingInvalidUrl function core/modules/link/tests/src/Functional/LinkFieldTest.php Test link widget exception handled if link uri value is invalid.
LinkFieldTest::testNoLinkUri function core/modules/link/tests/src/Functional/LinkFieldTest.php Tests <nolink> and <none> as link uri.
LinkFormatterTest::testFormatterLinkItem function core/modules/link/tests/src/Unit/LinkFormatterTest.php Tests when LinkItem::getUrl returns a functional URL.
LinkFormatterTest::testFormatterLinkItemUrlMalformed function core/modules/link/tests/src/Unit/LinkFormatterTest.php Tests when LinkItem::getUrl with malformed URL renders empty link.
LinkFormatterTest::testFormatterLinkItemUrlUnexpectedException function core/modules/link/tests/src/Unit/LinkFormatterTest.php Tests when LinkItem::getUrl throws an unexpected exception.
LinkGenerationTest::testHookLinkAlter function core/tests/Drupal/KernelTests/Core/Url/LinkGenerationTest.php Tests how hook_link_alter() can affect escaping of the link text.
LinkGenerator::generateFromLink function core/lib/Drupal/Core/Utility/LinkGenerator.php Renders a link from a link object.
LinkGeneratorInterface::generateFromLink function core/lib/Drupal/Core/Utility/LinkGeneratorInterface.php Renders a link from a link object.
LinkGeneratorTest::$linkGenerator property core/tests/Drupal/Tests/Core/Utility/LinkGeneratorTest.php The tested link generator.
LinkGeneratorTest::assertLink function core/tests/Drupal/Tests/Core/Utility/LinkGeneratorTest.php Checks that a link with certain properties exists in a given HTML snippet.
LinkGeneratorTest::testGenerateNoLink function core/tests/Drupal/Tests/Core/Utility/LinkGeneratorTest.php Tests the generate() method with the <nolink> route.
LinkItemInterface::LINK_EXTERNAL constant core/modules/link/src/LinkItemInterface.php Specifies whether the field supports only external URLs.
LinkItemInterface::LINK_GENERIC constant core/modules/link/src/LinkItemInterface.php Specifies whether the field supports both internal and external URLs.
LinkItemInterface::LINK_INTERNAL constant core/modules/link/src/LinkItemInterface.php Specifies whether the field supports only internal URLs.
LinkItemSerializationTest::testLinkDeserialization function core/modules/link/tests/src/Kernel/LinkItemSerializationTest.php Tests the deserialization.
LinkItemSerializationTest::testLinkSerialization function core/modules/link/tests/src/Kernel/LinkItemSerializationTest.php Tests the serialization.
LinkItemTest::testLinkItem function core/modules/link/tests/src/Kernel/LinkItemTest.php Tests using entity fields of the link field type.
LinkItemUrlValidationTest::getTestLinks function core/modules/link/tests/src/Kernel/LinkItemUrlValidationTest.php Builds an array of links to test.
LinkItemUrlValidationTest::testExternalLinkValidation function core/modules/link/tests/src/Kernel/LinkItemUrlValidationTest.php Tests link validation.
LinkRelationsTest::testAvailableLinkRelationships function core/tests/Drupal/KernelTests/Core/Http/LinkRelationsTest.php Tests correct Link Relations are returned from the Link Relation Type Manager.
Links::getLinks function core/modules/views/src/Plugin/views/field/Links.php Gets the list of links used by this field.
LinksetController::processCustomLinkAttributes function core/modules/system/src/Controller/LinksetController.php Process custom link parameters.
LinksetController::toLinkTargetObjects function core/modules/system/src/Controller/LinksetController.php Encode a menu tree as link items and capture any cacheability metadata.
LinksetControllerTest::testCustomLinkRelation function core/modules/system/tests/src/Functional/Menu/LinksetControllerTest.php Tests that menu items can use a custom link relation.
LinksetControllerTestBase::getReferenceLinksetDataFromFile function core/modules/system/tests/src/Functional/Menu/LinksetControllerTestBase.php Retrieve reference linkset controller output adjusted for proper base URL.
LinkTest::linkComparisonProvider function core/modules/jsonapi/tests/src/Unit/JsonApiResource/LinkTest.php Provides test data for link comparison.
LinkTest::linkMergeProvider function core/modules/jsonapi/tests/src/Unit/JsonApiResource/LinkTest.php Provides test data for link merging.
LinkTest::testGetLinkRelationType function core/modules/jsonapi/tests/src/Unit/JsonApiResource/LinkTest.php @covers ::getLinkRelationType[[api-linebreak]]
LinkTest::testLinkComparison function core/modules/jsonapi/tests/src/Unit/JsonApiResource/LinkTest.php @covers ::compare[[api-linebreak]]
@dataProvider linkComparisonProvider
LinkTest::testLinkMerge function core/modules/jsonapi/tests/src/Unit/JsonApiResource/LinkTest.php @covers ::merge[[api-linebreak]]
@dataProvider linkMergeProvider
LinkViewsTokensTest::testLinkViewsTokens function core/modules/link/tests/src/Functional/Views/LinkViewsTokensTest.php
LinkWidget::supportsExternalLinks function core/modules/link/src/Plugin/Field/FieldWidget/LinkWidget.php Indicates enabled support for link to external URLs.
LinkWidget::supportsInternalLinks function core/modules/link/src/Plugin/Field/FieldWidget/LinkWidget.php Indicates enabled support for link to routes.
LinkWidget::validateTitleNoLink function core/modules/link/src/Plugin/Field/FieldWidget/LinkWidget.php Form element validation handler for the 'title' element.
link_generation_test_link_alter function core/modules/system/tests/modules/link_generation_test/link_generation_test.module Implements hook_link_alter().

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.